## org.cybergarage.upnp.device
Class ST

    java.lang.Object
      org.cybergarage.upnp.device.ST

    public class ST

extends java.lang.Object

Field Summary
`static java.lang.String` `ALL_DEVICE`
`static java.lang.String` `ROOT_DEVICE`
`static java.lang.String` `URN_DEVICE`
`static java.lang.String` `URN_SERVICE`
`static java.lang.String` `UUID_DEVICE`

Constructor Summary
`ST()`

Method Summary
`static boolean` `isAllDevice(java.lang.String value)`
`static boolean` `isRootDevice(java.lang.String value)`
`static boolean` `isURNDevice(java.lang.String value)`
`static boolean` `isURNService(java.lang.String value)`
`static boolean` `isUUIDDevice(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL_DEVICE

    public static final java.lang.String ALL_DEVICE

See Also:
  Constant Field Values

### ROOT_DEVICE

    public static final java.lang.String ROOT_DEVICE

See Also:
  Constant Field Values

### UUID_DEVICE

    public static final java.lang.String UUID_DEVICE

See Also:
  Constant Field Values

### URN_DEVICE

    public static final java.lang.String URN_DEVICE

See Also:
  Constant Field Values

### URN_SERVICE

    public static final java.lang.String URN_SERVICE

See Also:
  Constant Field Values

Constructor Detail

### ST

    public ST()

Method Detail

### isAllDevice

    public static final boolean isAllDevice(java.lang.String value)

### isRootDevice

    public static final boolean isRootDevice(java.lang.String value)

### isUUIDDevice

    public static final boolean isUUIDDevice(java.lang.String value)

### isURNDevice

    public static final boolean isURNDevice(java.lang.String value)

### isURNService

    public static final boolean isURNService(java.lang.String value)